org.bouncycastle.mail.smime

## Class SMIMECompressedGenerator

- java.lang.Object
- - org.bouncycastle.mail.smime.SMIMEGenerator
  - - org.bouncycastle.mail.smime.SMIMECompressedGenerator

    public class SMIMECompressedGenerator
    extends SMIMEGenerator

General class for generating a pkcs7-mime compressed message. A simple example of usage.

          SMIMECompressedGenerator  fact = new SMIMECompressedGenerator();

          MimeBodyPart           smime = fact.generate(content, algorithm);

Note: Most clients expect the MimeBodyPart to be in a MimeMultipart when it's sent.

### Field Summary

Fields
`static java.lang.String` `ZLIB`

### Fields inherited from class org.bouncycastle.mail.smime.SMIMEGenerator

`encoding, useBase64`

### Constructor Summary

Constructors
Constructor and Description
`SMIMECompressedGenerator()`

### Method Summary

Methods
`MimeBodyPart` `generate(MimeBodyPart content, java.lang.String compressionOID)` generate an compressed object that contains an SMIME Compressed object using the given provider from the contents of the passed in message
`MimeBodyPart` `generate(MimeMessage message, java.lang.String compressionOID)` generate an compressed object that contains an SMIME Compressed object using the given provider from the contents of the passed in message

### Methods inherited from class org.bouncycastle.mail.smime.SMIMEGenerator

`createSymmetricKeyGenerator, makeContentBodyPart, makeContentBodyPart, setContentTransferEncoding`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ZLIB

    public static final java.lang.String ZLIB

See Also:
  Constant Field Values

### Constructor Detail

#### SMIMECompressedGenerator

    public SMIMECompressedGenerator()

### Method Detail

#### generate

    public MimeBodyPart generate(MimeBodyPart content,
                        java.lang.String compressionOID)
                          throws SMIMEException

generate an compressed object that contains an SMIME Compressed object using the given provider from the contents of the passed in message

Throws:
  `SMIMEException`

#### generate

    public MimeBodyPart generate(MimeMessage message,
                        java.lang.String compressionOID)
                          throws SMIMEException

generate an compressed object that contains an SMIME Compressed object using the given provider from the contents of the passed in message

Throws:
  `SMIMEException`